
package com.topcoder.message.im.profile;

/**
 * <p>Contact represents a contact user. It subclasses MessagingObject. For this release it only has a name (either username or screen name) and a status (online, offline, idle, etc.) but future version can add in more details. Contact can be catogorized into ContactGroups.</p>
 * 
 */
public class Contact extends com.topcoder.message.im.MessagingObject {

/**
 * <p>Name of the contact. Set in constructor and is readonly.</p>
 * 
 */
    private String contactName = null;

/**
 * <p>Status of the Contact. This field is mutable with setter and getter.</p>
 * 
 */
    private String status = null;
/**
 * <p></p>
 */
    private com.topcoder.message.im.profile.ContactGroup contacts;

/**
 * <p>Create instance with a contact name.</p>
 * 
 * 
 * 
 * 
 * @param contactName the contact name
 * @exception NullPointerException if contactName is null
 * @exception IllegalArgumentException if contactName is empty
 */
    public  Contact(String contactName) {        
        // your code here
    } 

/**
 * <p>Create instance with a contact name and a status.</p>
 * 
 * 
 * 
 * 
 * @param contactName the contact name
 * @param status the contact status
 * @exception NullPointerException if contactName and status is null
 * @exception IllegalArgumentException if contactName or status is empty
 */
    public  Contact(String contactName, String status) {        
        // your code here
    } 

/**
 * <p>Get the contact name.</p>
 * 
 * 
 * 
 * 
 * @return the contact name
 */
    public String getContactName() {        
        // your code here
        return null;
    } 

/**
 * <p>Set the contact status.</p>
 * 
 * 
 * 
 * 
 * @param status the contact status
 * @exception NullPointerException if status is null
 * @exception IllegalArgumentException if status is empty
 */
    public void setStatus(String status) {        
        // your code here
    } 

/**
 * <p>Get the contact status.</p>
 * 
 * 
 * 
 * 
 * @return the contact status
 */
    public String getStatus() {        
        // your code here
        return null;
    } 
 }
