
package com.topcoder.message.im.profile;

/**
 * <p>ProfileVisibility is an enumeration that describes who can view the profile. Initially there are three options but in the future more can be added. It is a field on the UserProfile class. It extends TopCoder Type-safe Enumeration.</p>
 * 
 */
public class ProfileVisibility extends com.topcoder.util.collection.typesafeenum.Enum {

/**
 * <p>Profile that is only visible to its owner.</p>
 * 
 */
    public static final com.topcoder.message.im.profile.ProfileVisibility OWNER = new ProfileVisibility("owner");

/**
 * <p>Profile that is visible to its own and own's contacts.</p>
 * 
 */
    public static final com.topcoder.message.im.profile.ProfileVisibility CONTACTS = new ProfileVisibility("contacts");

/**
 * <p>Profile that is visible to everyone.</p>
 * 
 */
    public static final com.topcoder.message.im.profile.ProfileVisibility PUBLIC = new ProfileVisibility("public");

/**
 * <p>The visibility description. Set in constructor and immutable.</p>
 * 
 */
    private String visibility = null;
/**
 * <p></p>
 */
    private UserProfile visibility;

/**
 * <p>Create an instance with given visibility description.</p>
 * 
 * 
 * 
 * 
 * @param visibility the visibility description
 */
    private  ProfileVisibility(String visibility) {        
        // your code here
    } 

/**
 * <p>Get the visibility description. Simply return the visibility field.</p>
 * 
 * 
 * 
 * 
 * @return the visibility description
 */
    public String getVisibility() {        
        // your code here
        return null;
    } 
 }
