
package com.topcoder.message.im;

/**
 * <p>MessageSendingException is thrown when a message can not be successfully sent. It has a getter to get the message that is not sent for further diagnosis.</p>
 * 
 */
public class MessageSendingException extends com.topcoder.message.im.InstantMessagingException {

/**
 * <p>The message that is not sent. Set in constructor and readonly.</p>
 * 
 */
    private com.topcoder.message.im.Message outMessage = null;

/**
 * <p>Create instance with message and error message.</p>
 * 
 * 
 * 
 * 
 * @param outMessage the message that is not sent
 * @param message the error message
 */
    public  MessageSendingException(com.topcoder.message.im.Message outMessage, String message) {        
    	super(message);
    } 

/**
 * <p>Create instance with message, error message and inner exception.</p>
 * 
 * 
 * 
 * 
 * @param outMessage the message that is not sent
 * @param message the error message
 * @param innerException the innser exception
 */
    public  MessageSendingException(com.topcoder.message.im.Message outMessage, String message, Exception innerException) {        
    	super(message, innerException);
    } 

/**
 * <p>Get the message that is not sent.</p>
 * 
 * 
 * 
 * 
 * @return the message that is not sent
 */
    public com.topcoder.message.im.Message getOutMessage() {        
        // your code here
        return null;
    } 
 }
