
package com.topcoder.message.im.connection;
import com.topcoder.message.im.connection.DirectSocketConnection;

/**
 * <p>Generic socket connection sends message to the configured recipients. Known recipients need to register their listening address and port before a message can be successfully sent. It is a non-persistent connection. A new socket is used to send each connection and closed immediately after that. It can be interpretted as a broadcast tool since it can communicate one message to multiple recipients.</p>
 * <p>GenericSocketConnection has a method openDirectConnection() with a registered recipient.</p>
 * <p>Methods should synchronize on the class instance.</p>
 * 
 */
public class GenericSocketConnection {

 }
