package com.topcoder.message.im.server;

/**
 * A logoff message that is used by clients to logff from the chat server.
 * It contains the user name.
 */
public class LogoffMessage {
	
	private String username = null;
	
	/**
	 * <p>Construct with the text. Set the text to the respective field.</p>
	 * 
	 * 
	 * 
	 * 
	 * @param text the text of the message
	 * @exception NullPointerException if text is null
	 */
	public LogoffMessage(String username) {        
		// your code here
	}
	
	/**
	 * <p>Construct with text, sender and a single recipient. Sets them separately to respective fields.</p>
	 * 
	 * 
	 * 
	 * 
	 * @param text the text of the message
	 * @param sender the sender of the message
	 * @param recipient the recipient of the message
	 * @exception NullPointerException if text or sender or recipient is null
	 */
	    public  LogoffMessage(String username, Object sender, Object recipient) {        
	        // your code here
	    } 

	/**
	 * <p>Construct with text, sender and multiple recipients. Set them to respective fields. Recipients list should not contain a null value.</p>
	 * 
	 * 
	 * 
	 * 
	 * @param text the text of the message
	 * @param sender the sender of the meesage
	 * @param recipients the recipients of the message
	 * @exception NullPointerException if text or sender or recipients is null
	 * @exception IllegalArgumentException if recipients contains null
	 */
	    public  LogoffMessage(String username, Object sender, java.util.List recipients) {        
	        // your code here
	    } 
	    
	    /**
		 * <p>Get the text of the message. Simply returns text.</p>
		 * 
		 * 
		 * 
		 * 
		 * @return the text of the message
		 */
		public String getUsername() {        
			// your code here
			return null;
		} 
		
		/**
		 * <p>Set the text of the message. Sets it to the text field.</p>
		 * 
		 * 
		 * 
		 * 
		 * @param text the text of the message
		 * @exception NullPointerException if text is null
		 */
		public void setUsername(String username) {        
			// your code here
		}

}
